/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.dynamic.data.mapping.form.values.query.internal.model;

import com.liferay.dynamic.data.mapping.storage.DDMFormFieldValue;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Pablo Carvalho
 */
public class DDMFormFieldValueMatchesAllMatcher
	implements DDMFormFieldValueMatcher {

	public void addDDMFormFieldValueMatcher(
		DDMFormFieldValueMatcher ddmFormFieldValueMatcher) {

		_ddmFormFieldValueMatchers.add(ddmFormFieldValueMatcher);
	}

	@Override
	public boolean matches(DDMFormFieldValue ddmFormFieldValue) {
		for (DDMFormFieldValueMatcher ddmFormFieldValueMatcher :
				_ddmFormFieldValueMatchers) {

			if (!ddmFormFieldValueMatcher.matches(ddmFormFieldValue)) {
				return false;
			}
		}

		return true;
	}

	private final List<DDMFormFieldValueMatcher> _ddmFormFieldValueMatchers =
		new ArrayList<>();

}